summaryrefslogtreecommitdiffstats
path: root/academic/sim
diff options
context:
space:
mode:
Diffstat (limited to 'academic/sim')
-rw-r--r--academic/sim/README9
-rw-r--r--academic/sim/References3
-rw-r--r--academic/sim/sim.SlackBuild91
-rw-r--r--academic/sim/sim.info12
-rw-r--r--academic/sim/slack-desc19
5 files changed, 134 insertions, 0 deletions
diff --git a/academic/sim/README b/academic/sim/README
new file mode 100644
index 0000000000..b8dec9d5ba
--- /dev/null
+++ b/academic/sim/README
@@ -0,0 +1,9 @@
+SIM - Local similarity program
+
+SIM finds k best non-intersecting alignments between two sequences or
+within a sequence using dynamic programming techniques. The alignments
+are reported in order of decreasing similarity score and share no
+aligned pairs.
+
+Once the alignment is computed, you can view it using "lalnview", a
+graphical viewer program for pairwise alignments, available at SBo.
diff --git a/academic/sim/References b/academic/sim/References
new file mode 100644
index 0000000000..6e829c7445
--- /dev/null
+++ b/academic/sim/References
@@ -0,0 +1,3 @@
+Xiaoquin Huang and Webb Miller:
+"A Time-Efficient, Linear-Space Local Similarity Algorithm"
+Advances in Applied Mathematics, vol. 12 (1991), pp. 337-357.
diff --git a/academic/sim/sim.SlackBuild b/academic/sim/sim.SlackBuild
new file mode 100644
index 0000000000..6fb9c1b34e
--- /dev/null
+++ b/academic/sim/sim.SlackBuild
@@ -0,0 +1,91 @@
+#!/bin/bash
+
+# Slackware build script for sim
+
+# Copyright 2023 Petar Petrov, slackalaxy@gmail.com
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=sim
+VERSION=${VERSION:-204}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+else
+ SLKCFLAGS="-O2"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+cp $CWD/${PRGNAM}* .
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+cc $SLKCFLAGS -o $PRGNAM ${PRGNAM}${VERSION}.c -lm
+install -D -m 755 $PRGNAM $PKG/usr/bin/$PRGNAM
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $PRGNAM.doc $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/References > $PKG/usr/doc/$PRGNAM-$VERSION/References
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/academic/sim/sim.info b/academic/sim/sim.info
new file mode 100644
index 0000000000..c1026b3e92
--- /dev/null
+++ b/academic/sim/sim.info
@@ -0,0 +1,12 @@
+PRGNAM="sim"
+VERSION="204"
+HOMEPAGE="https://web.expasy.org/sim/"
+DOWNLOAD="ftp://pbil.univ-lyon1.fr/pub/logiciel/lalnview/sim/sim204.c \
+ftp://pbil.univ-lyon1.fr/pub/logiciel/lalnview/sim/sim.doc"
+MD5SUM="69edf7f5aa1c58bb3ad37ad761a289c2 \
+70f4bf9be3b16369dc21467d15cc7b48"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Petar Petrov"
+EMAIL="slackalaxy@gmail.com"
diff --git a/academic/sim/slack-desc b/academic/sim/slack-desc
new file mode 100644
index 0000000000..c38253a06f
--- /dev/null
+++ b/academic/sim/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+sim: sim (Local similarity program)
+sim:
+sim: SIM finds k best non-intersecting alignments between two sequences
+sim: or within a sequence using dynamic programming techniques. The
+sim: alignments are reported in order of decreasing similarity score and
+sim: share no aligned pairs. Once the alignment is computed, you can view
+sim: it using "lalnview"
+sim:
+sim:
+sim:
+sim: